searchData={"items":[{"type":"module","title":"NestedLines","doc":"Documentation for `NestedLines`.","ref":"NestedLines.html"},{"type":"function","title":"NestedLines.can_indent?/2","doc":"Returns true if the line can be indented, false otherwise. Lines are 1-indexed.","ref":"NestedLines.html#can_indent?/2"},{"type":"function","title":"Examples - NestedLines.can_indent?/2","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"1.2\"]) |> NestedLines.can_indent?(1)\n    false\n\n    iex> NestedLines.new!([\"1\", \"1.1\", \"1.2\"]) |> NestedLines.can_indent?(3)\n    true","ref":"NestedLines.html#can_indent?/2-examples"},{"type":"function","title":"NestedLines.can_outdent?/2","doc":"Returns true if the line can be outdented, false otherwise. Lines are 1-indexed.","ref":"NestedLines.html#can_outdent?/2"},{"type":"function","title":"Examples - NestedLines.can_outdent?/2","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"1.1.1\"]) |> NestedLines.can_outdent?(2)\n    true\n\n    iex> NestedLines.new!([\"1\", \"1.1\", \"2\"]) |> NestedLines.can_outdent?(3)\n    false\n\n    iex> NestedLines.new!([\"1\", \"2\", \"2.1\", \"3\"]) |> NestedLines.can_outdent?(3)\n    true","ref":"NestedLines.html#can_outdent?/2-examples"},{"type":"function","title":"NestedLines.has_children?/2","doc":"Returns a boolean indicating if the line at the given position has children\n\nExamples:\n\n    iex> NestedLines.new!([\"1\", \"1.1\", \"1.1.1\"]) |> NestedLines.has_children?(1)\n    true\n\n    iex> NestedLines.new!([\"1\", \"1.1\", \"1.1.1\"]) |> NestedLines.has_children?(2)\n    true\n\n    iex> NestedLines.new!([\"1\", \"1.1\", \"1.1.1\"]) |> NestedLines.has_children?(3)\n    false\n\n    iex>  NestedLines.new!([\"1\", \"2\", \"2.1\"])  |> NestedLines.has_children?(1)\n    false","ref":"NestedLines.html#has_children?/2"},{"type":"function","title":"NestedLines.indent!/2","doc":"Indents a line based on its index, raises if the line cannot be indented.\nChild lines are also indented by one position. Lines are 1-indexed.","ref":"NestedLines.html#indent!/2"},{"type":"function","title":"Examples - NestedLines.indent!/2","doc":"iex> NestedLines.new!([\"1\", \"2\", \"2.1\", \"3\"]) |> NestedLines.indent!(4) |> NestedLines.line_numbers()\n    [\"1\", \"2\", \"2.1\", \"2.2\"]","ref":"NestedLines.html#indent!/2-examples"},{"type":"function","title":"NestedLines.line_numbers/2","doc":"Output a string representation of the line numbers.","ref":"NestedLines.html#line_numbers/2"},{"type":"function","title":"Examples - NestedLines.line_numbers/2","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"1.2\", \"2\", \"2.1\", \"2.1.1\"]) |> NestedLines.line_numbers()\n    [\"1\", \"1.1\", \"1.2\", \"2\", \"2.1\", \"2.1.1\"]","ref":"NestedLines.html#line_numbers/2-examples"},{"type":"function","title":"NestedLines.new!/1","doc":"Construct a nested line representation from a list of string values.","ref":"NestedLines.html#new!/1"},{"type":"function","title":"Examples - NestedLines.new!/1","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"1.2\", \"2\", \"2.1\"])\n    %NestedLines{lines: [[1], [0, 1], [0, 1], [1], [0, 1]]}","ref":"NestedLines.html#new!/1-examples"},{"type":"function","title":"NestedLines.outdent!/2","doc":"Outdents a line based on its index, raises if the line cannot be outdented.\nChild lines are also outdented by one position. Lines are 1-indexed.","ref":"NestedLines.html#outdent!/2"},{"type":"function","title":"Examples - NestedLines.outdent!/2","doc":"iex> NestedLines.new!([\"1\", \"2\", \"2.1\", \"2.1.1\"]) |> NestedLines.outdent!(3) |> NestedLines.line_numbers()\n    [\"1\", \"2\", \"3\", \"3.1\"]","ref":"NestedLines.html#outdent!/2-examples"},{"type":"function","title":"NestedLines.tree/1","doc":"Returns a tree representation of the input lines.","ref":"NestedLines.html#tree/1"},{"type":"function","title":"Examples - NestedLines.tree/1","doc":"iex> NestedLines.new!([\"1\", \"1.1\", \"2\", \"2.1\", \"2.1.1\", \"2.2\", \"2.2.1\"]) |> NestedLines.tree()\n\n    [\n      %{\n        line: \"1\",\n        children: [\n          %{line: \"1.1\", children: []}\n        ]\n      },\n      %{\n        line: \"2\",\n        children: [\n          %{line: \"2.1\", children: [\n              %{line: \"2.1.1\", children: []}\n          ]},\n          %{line: \"2.2\", children: [\n              %{line: \"2.2.1\", children: []}\n            ]\n          }\n        ]\n      }\n    ]","ref":"NestedLines.html#tree/1-examples"},{"type":"type","title":"NestedLines.line/0","doc":"","ref":"NestedLines.html#t:line/0"},{"type":"type","title":"NestedLines.line_number/0","doc":"","ref":"NestedLines.html#t:line_number/0"},{"type":"type","title":"NestedLines.t/0","doc":"","ref":"NestedLines.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}